List Live Outputs – Media API – MediaKind

List Live Outputs

get https://app.mk.io/api/v1/projects/:project_name/media/liveEvents/:event_name/liveOutputs

Listing, Sorting and Filtering Live Outputs

This endpoint returns the list of live outputs in the specified project.

Sorting

The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.

Sorting is valid on the following fields: created, createdBy, id, name, properties/created, properties/description, properties/lastModified, updated, updatedBy

Filtering

The $filter query parameter allows for live outputs to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.

Filters are valid on the following fields: created, createdBy, createdByEmail, createdByName, id, name, properties/created, properties/description, properties/lastModified, updated, updatedBy, updatedByEmail, updatedByName

Examples:

?$top=10 - Returns only the first 10 live outputs from the list.

?$orderby=name desc - Sorts live outputs by name in descending order.

?$filter=name eq 'descriptive name' - Returns live outputs that match the provided name.

?$orderby=created desc - Sorts live outputs by creation date in descending order.

?$filter=created ge 2021-01-01T00:00:00Z - Returns live outputs created after January 1, 2021.

RBAC Capability Required: ams.liveeventoutput.get

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_name string Required

event_name string Required

Query parameters

$orderby string Optional

Specifies the key by which the result collection should be ordered.

$filter string Optional

Restricts the set of items returned.

$top string Optional

Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.

$skiptoken string Optional

Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities.

Response

200 List of live outputs

@odata.nextLink string Optional

@odata.nextLink URL if the page length and number of items match.

supplemental object ListResponseSupplementalSchema Required

Supplemental info

Show 5 properties Hide 5 properties

count integer Required

Number of items returned

kind string Required

Type of items in the list

operation string Required

Operation type. Should always say 'list'

pagination object PaginationInfoSchema Required

Pagination info

Show 4 properties Hide 4 properties

end integer Required

Position of the last item in the list

records integer Required

Total number of items returned in the list

start integer Required

Position of the first item in the list

total integer Required

Total number of items in the project

subscription object ProjectInfoSchema Optional

Project info

Show 2 properties Hide 2 properties

id string Required

Project ID

name string Required

Project name

value list of objects LiveOutputSchema Required

A list of Live Outputs

Show 2 properties Hide 2 properties

name string Optional 1-256 characters pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9])$

The name of the resource

properties object LiveOutputProperties Required

The properties of the live output.

Show 11 properties Hide 11 properties

archiveWindowLength string Required

ISO 8601 timespan duration of the archive window length. This is duration that customer want to retain the recorded content.

assetName string Required 1-260 characters

The name of the asset that the live output will write to.

created string Optional

The exact time the live output was created.

description string Optional 0-4096 characters

The description of the live output.

hls object LiveOutputHls Optional

The HLS configuration.

Show 1 property Hide 1 property

fragmentsPerTsSegment integer Optional 1 to 100000000 Defaults to 1

The number of fragments per HLS segment.

lastModified string Optional

The exact time the live output was last modified.

manifestName string Optional 1-64 characters pattern: ^[a-zA-Z0-9-]+[a-zA-Z0-9]$

The name of the manifest file. If not provided, the service will generate one automatically. This is the filename that will appear in playback URLs.

outputSnapTime integer Optional

Not supported. The output snapshot time. This is the wall clock time, in unix epoch seconds, that the live output will begin recording from.

provisioningState string Optional

The provisioning state of the live output.

resourceState enum Optional

The resource state of the live output.

Allowed values: Creating, Deleting, Running

rewindWindowLength string Optional

Not supported. ISO 8601 timespan duration of the rewind window length during live playback. This is the amount of time that the live output will be able to rewind.

Errors

400 Bad Request

error object ErrorDetail Required

Pertinent information about the error

Show 3 properties Hide 3 properties

code string Required

The error code.

detail string Required

The error message.

extraDetail map from strings to any Optional

Extra information regarding this error.

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code

401 Unauthorized

error object ErrorDetail Required

Pertinent information about the error

Show 3 properties Hide 3 properties

code string Required

The error code.

detail string Required

The error message.

extraDetail map from strings to any Optional

Extra information regarding this error.

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code

403 Forbidden

error object ErrorDetail Required

Pertinent information about the error

Show 3 properties Hide 3 properties

code string Required

The error code.

detail string Required

The error message.

extraDetail map from strings to any Optional

Extra information regarding this error.

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code

404 Not Found

error object ErrorDetail Required

Pertinent information about the error

Show 3 properties Hide 3 properties

code string Required

The error code.

detail string Required

The error message.

extraDetail map from strings to any Optional

Extra information regarding this error.

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code

429 Too Many Requests

error object ErrorDetail Required

Pertinent information about the error

Show 3 properties Hide 3 properties

code string Required

The error code.

detail string Required

The error message.

extraDetail map from strings to any Optional

Extra information regarding this error.

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code

500 Internal Server Error

error object ErrorDetail Required

Pertinent information about the error

Show 3 properties Hide 3 properties

code string Required

The error code.

detail string Required

The error message.

extraDetail map from strings to any Optional

Extra information regarding this error.

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code